### Type parameters

- #### T

### Hierarchy

- Queue

## Index

### Constructors

- constructor

### Properties

- _evictListeners
- _items
- _limit
- onEvict

### Methods

- clear
- dequeue
- enqueue
- evict
- peekHead
- peekTail
- remove
- size

## Constructors

- new Queue(_items?: T[], _limit?: number): Queue

- #### Parameters

  - ##### _items: Default value T[] = []

  - ##### _limit: Default value number = null

  #### Returns Queue

  - Defined in common/queue.ts:6

## Properties

_evictListeners: function[] = []

- Defined in common/queue.ts:5

_items: T[]

- Defined in common/queue.ts:8

_limit: number

- Defined in common/queue.ts:8

onEvict: function = pushTo(this._evictListeners)

#### Type declaration

- - (val: T): T

  - #### Parameters

    - ##### val T

    #### Returns T

- Defined in common/queue.ts:6

## Methods

- clear(): Array<T>

- #### Returns Array<T>

  - Defined in common/queue.ts:28

- dequeue(): T

- #### Returns T

  - Defined in common/queue.ts:23

- enqueue(item: T): T

- #### Parameters

  - ##### item T

  #### Returns T

  - Defined in common/queue.ts:10

- evict(): T

- #### Returns T

  - Defined in common/queue.ts:17

- peekHead(): T

- #### Returns T

  - Defined in common/queue.ts:47

- peekTail(): T

- #### Returns T

  - Defined in common/queue.ts:43

- remove(item: T): T

- #### Parameters

  - ##### item T

  #### Returns T

  - Defined in common/queue.ts:38

- size(): number

- #### Returns number

  - Defined in common/queue.ts:34

Generated using TypeDoc